ClassicControllerCalibrationData
Keywords: wiiremotej.ClassicControllerCalibrationData class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class ClassicControllerCalibrationData

    java.lang.Object
      wiiremotej.ClassicControllerCalibrationData

    public class ClassicControllerCalibrationData

extends java.lang.Object

Contains calibration data for use in WRClassicControllerExtensionEvents. Immutable. Be aware that if buttons are held when the controller is first connected (or the remote is turned on while the controller is plugged in), calibration data may be inaccurate.

Method Summary
`double` | `leftAnalogXCenter()` Returns leftAnalogXCenter.
`double` | `leftAnalogXMaximum()` Returns leftAnalogXMaximum.
`double` | `leftAnalogXMinimum()` Returns leftAnalogXMinimum.
`double` | `leftAnalogYCenter()` Returns leftAnalogYCenter.
`double` | `leftAnalogYMaximum()` Returns leftAnalogYMaximum.
`double` | `leftAnalogYMinimum()` Returns leftAnalogYMinimum.
`double` | `leftTriggerZero()` Returns leftTriggerZero.
`double` | `rightAnalogXCenter()` Returns rightAnalogXCenter.
`double` | `rightAnalogXMaximum()` Returns rightAnalogXMaximum.
`double` | `rightAnalogXMinimum()` Returns rightAnalogXMinimum.
`double` | `rightAnalogYCenter()` Returns rightAnalogYCenter.
`double` | `rightAnalogYMaximum()` Returns rightAnalogYMaximum.
`double` | `rightAnalogYMinimum()` Returns rightAnalogYMinimum.
`double` | `rightTriggerZero()` Returns rightTriggerZero.
`double` | `triggerMax()` Returns triggerMax.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### leftAnalogXCenter

    public double leftAnalogXCenter()

  Returns leftAnalogXCenter.

  Returns:
    leftAnalogXCenter.

### leftAnalogXMaximum

    public double leftAnalogXMaximum()

  Returns leftAnalogXMaximum.

  Returns:
    leftAnalogXMaximum.

### leftAnalogXMinimum

    public double leftAnalogXMinimum()

  Returns leftAnalogXMinimum.

  Returns:
    leftAnalogXMinumum.

### leftAnalogYCenter

    public double leftAnalogYCenter()

  Returns leftAnalogYCenter.

  Returns:
    leftAnalogYCenter.

### leftAnalogYMaximum

    public double leftAnalogYMaximum()

  Returns leftAnalogYMaximum.

  Returns:
    leftAnalogYMaximum.

### leftAnalogYMinimum

    public double leftAnalogYMinimum()

  Returns leftAnalogYMinimum.

  Returns:
    leftAnalogYMinumum.

### rightAnalogXCenter

    public double rightAnalogXCenter()

  Returns rightAnalogXCenter.

  Returns:
    rightAnalogXCenter.

### rightAnalogXMaximum

    public double rightAnalogXMaximum()

  Returns rightAnalogXMaximum.

  Returns:
    rightAnalogXMaximum.

### rightAnalogXMinimum

    public double rightAnalogXMinimum()

  Returns rightAnalogXMinimum.

  Returns:
    rightAnalogXMinumum.

### rightAnalogYCenter

    public double rightAnalogYCenter()

  Returns rightAnalogYCenter.

  Returns:
    rightAnalogYCenter.

### rightAnalogYMaximum

    public double rightAnalogYMaximum()

  Returns rightAnalogYMaximum.

  Returns:
    rightAnalogYMaximum.

### rightAnalogYMinimum

    public double rightAnalogYMinimum()

  Returns rightAnalogYMinimum.

  Returns:
    rightAnalogYMinumum.

### leftTriggerZero

    public double leftTriggerZero()

  Returns leftTriggerZero.

  Returns:
    leftTriggerZero.

### rightTriggerZero

    public double rightTriggerZero()

  Returns rightTriggerZero.

  Returns:
    rightTriggerZero.

### triggerMax

    public double triggerMax()

  Returns triggerMax. triggerMax is the maximum value for a trigger WITHOUT zero adjustment. Actual max is triggerMax-triggerZero, e.g. triggerMax-rightTriggerZero. Always is 31.

  Returns:
    triggerMax.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD